import javax.naming.*;
import java.util.Hashtable;

/**
  * Demonstrates how to remove a binding.
  * (Use after Bind or Rebind example).
  * 
  * usage: java Unbind
  */
class Unbind {
    public static void main(String[] args) {

	// Set up environment for creating initial context
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY, 
	    "com.sun.jndi.ldap.LdapCtxFactory");
	env.put(Context.PROVIDER_URL, "ldap://localhost:389/o=JNDITutorial");

	try {
	    // Create the initial context
	    Context ctx = new InitialContext(env);

	    // Remove binding
	    ctx.unbind("cn=favorite, cn=Fruits");

	    // Check that it is bound
	    Object obj = null;
	    try {
		obj = ctx.lookup("cn=favorite, cn=Fruits");
	    } catch (NameNotFoundException ne) {
		System.out.println("unbind successful");
		return;
	    }

	    System.out.println("unbind failed; object still there: " + obj);

	} catch (NamingException e) {
	    System.out.println("Operation failed: " + e);
	}
    }
}
