import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * Demonstrates how to overwrite an existing binding.
  * (Use after Bind example; Use Unbind to remove binding).
  *
  * usage: java Rebind
  */
class Rebind {
    public static void main(String[] args) {

	// Set up environment for creating initial context
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY, 
	    "com.sun.jndi.fscontext.RefFSContextFactory");
	env.put(Context.PROVIDER_URL, "file:/tmp/tutorial");

	try {
	    // Create the initial context
	    Context ctx = new InitialContext(env);

	    // Create object to be bound
	    Fruit fruit = new Fruit("lemon");

	    // Perform bind
	    ctx.rebind("favorite", fruit);

	    // Check that it is bound
	    Object obj = ctx.lookup("favorite");
	    System.out.println(obj);

	} catch (NamingException e) {
	    System.out.println("Operation failed: " + e);
	}
    }
}
